Bug 7080 - /usr/bin/install doesn't handle special mode bits when creating directories
/usr/bin/install doesn't handle special mode bits when creating directories
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-17 12:21 EST by Jos Vos
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-18 08:21:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (335 bytes, patch)
1999-11-21 07:10 EST, Bernhard Rosenkraenzer
no flags Details | Diff

  None (edit)
Description Jos Vos 1999-11-17 12:21:55 EST
The /usr/bin/install program seems to ignore the special bits (setuid,
setgid, and sticky bit, as specified with -m) when it creates directories
(using -d).
Comment 1 Bernhard Rosenkraenzer 1999-11-21 07:10:59 EST
Created attachment 10 [details]
Fix
Comment 2 Bernhard Rosenkraenzer 1999-11-21 07:11:59 EST
I've attached a fix - I'm not 100% sure whether this is a bug or a security
feature though.
I won't release an updated package before I'm certain.
Comment 3 Bernhard Rosenkraenzer 2000-02-18 08:21:59 EST
Fixed in 4.0-17

Note You need to log in before you can comment on or make changes to this bug.